library(lme4)

detach(input)
input<-read.table("C:\\Users\\ismalle1\\Documents\\WERK\\Data\\experimenten\\2015 Jasper Rianne experiments\\Jasper experiments\\trito preference\\maturation.txt",header=T)
attach(input)

y <- morphbinomial
tapply(y,fighter,mean)
temp <- tapply(y,fighter,sd); temp/table(fighter)


library(lme4)

# testing effect of fighter presence on male sex expression
y <- sexbinomial
model1<-glmer(y ~ as.factor(fighter) + (1|batch), family=binomial)
summary(model1)
table(fighter)
tapply(y,fighter,mean)
temp <- tapply(y,fighter,sd); temp/table(fighter)
detach(input)

# two tailed test of population proportion
z <- (0.50 - 0.46) /sqrt(0.5*0.5/76)
# apply the pnorm function to compute the two-tailed p-value of the test statistic
pval <- 2 * pnorm(z, lower.tail=FALSE) 
list(z=z, pval=pval)

z <- (0.50 - 0.38) /sqrt(0.5*0.5/56)
# apply the pnorm function to compute the two-tailed p-value of the test statistic
pval <- 2 * pnorm(z, lower.tail=FALSE) 
list(z=z, pval=pval)

input2<-subset(input, sex=="M")
attach(input2)
y <- morphbinomial
model2<-glmer(y ~ as.factor(fighter) + (1|batch), family=binomial)
summary(model2)
tapply(y,fighter,mean)
temp <- tapply(y,fighter,sd); temp/table(fighter)

## TESTING EFFECT OF FIGHTER PRESENCE ON TRITO MORTALITY IN SECOND EXPERIMENT
library(lme4)

detach(input)
input<-read.table("C:\\Users\\ismalle1\\Documents\\WERK\\Data\\experimenten\\2015 Jasper Rianne experiments\\Jasper experiments\\trito preference\\trito cannibalism all data.txt",header=T)
attach(input)
names(input)

y <- survival
model1<-glmer(y ~ as.factor(fighter)+(1|batch),family=binomial)
summary(model1)
tapply(y,fighter,mean)
temp <- tapply(y,fighter,sd); temp/table(fighter)
detach(input)
